=== coldformix-source/refsym/Makefile ===
#!/usr/bin/make
# Dies ist das Makefile fr refsym.zip


DESTDIR=

# Data
PARTDIR=$(DESTDIR)/usr/share/qcad/libraries
TMPDIR=$(DESTDIR)../../coldformix-generated/refsym-temp
ZIPDIR=$(DESTDIR)../../coldformix-generated/refsym

WWW=/var/lib/vservers/apache/var/www/coldformixhtdoc/download/refsym



# Allgemein (Debian und ML)
#====================================


refsym: zip upload clean


######################################################################
# install the symbols on a debian-system
# (if you are updating, please use clean-debian before installing)
######################################################################

# moved to coldformix/Makefile

#install: 


######################################################################
# create a zip-file for win
######################################################################
zip:
	mkdir -p $(TMPDIR)
	mkdir -p $(ZIPDIR)
	#mkdir $(TMPDIR)/Documentation
	# The symbols
	cp -av EN_1861 $(TMPDIR)
	rm -rf $(TMPDIR)/CVS
	rm -rf $(TMPDIR)/EN_1861/CVS
	rm -rf $(TMPDIR)/EN_1861/*.ps
	rm -rf $(TMPDIR)/EN_1861/*/CVS
	rm -rf $(TMPDIR)/EN_1861/*/*.ps
	rm -rf $(TMPDIR)/EN_1861/*/*/CVS
	rm -rf $(TMPDIR)/EN_1861/*/*/*.ps
	# The Documentation
#	cp Makefile $(TMPDIR)/Documentation
#	cp symbole-erstellen $(TMPDIR)/Documentation
#	cp README $(TMPDIR)/Documentation
	cd $(TMPDIR); zip -r ../refsym/refsym.zip ./
#	rm -rf $(TMPDIR)


upload:
	scp $(ZIPDIR)/refsym.zip root@141.31.130.222:$(WWW)



clean: 
	rm -rf $(TMPDIR)
	rm $(ZIPDIR)/refsym.zip
	rmdir $(ZIPDIR)
