=== debian/coldformix/usr/share/qcad/libraries/rlt/Makefile ===
#!/usr/bin/make
# Dies ist das Makefile fr die RLT-Symbole
 

# installieren: NICHT mit diesem Makefile, sondern
#
# cd coldformix
# sudo make install-rltsym-qcad


DESTDIR=

# Data
PARTDIR=$(DESTDIR)/usr/share/qcad/libraries
TMPDIR=$(DESTDIR)../../coldformix-generated/rltsym-temp
ZIPDIR=$(DESTDIR)../../coldformix-generated/rltsym

WWW=/var/lib/vservers/apache/var/www/coldformixhtdoc/download/rltsym



# Allgemein (Debian und ML)
#====================================


rltsym: zip upload clean


######################################################################
# install the symbols on a debian-system
# (if you are updating, please use clean-debian before installing)
######################################################################



######################################################################
# create a zip-file for win
######################################################################
zip:
	mkdir -p $(TMPDIR)
	mkdir -p $(ZIPDIR)
	#mkdir $(TMPDIR)/Documentation
	# The symbols
	cp -av DIN_1946_T1 $(TMPDIR)
	rm -rf $(TMPDIR)/CVS
	rm -rf $(TMPDIR)/DIN_1946_T1/CVS
	rm -rf $(TMPDIR)/DIN_1946_T1/*.ps
	rm -rf $(TMPDIR)/DIN_1946_T1/*/CVS
	rm -rf $(TMPDIR)/DIN_1946_T1/*/*.ps
	rm -rf $(TMPDIR)/DIN_1946_T1/*/*/CVS
	rm -rf $(TMPDIR)/DIN_1946_T1/*/*/*.ps
	# The Documentation
#	cp Makefile $(TMPDIR)/Documentation
#	cp symbole-erstellen $(TMPDIR)/Documentation
#	cp README $(TMPDIR)/Documentation
	cd $(TMPDIR); zip -r ../rltsym/rltsym.zip ./
#	rm -rf $(TMPDIR)


upload:
	scp $(ZIPDIR)/rltsym.zip root@141.31.130.222:$(WWW)



clean: 
	rm -rf $(TMPDIR)
	rm $(ZIPDIR)/rltsym.zip
	rmdir $(ZIPDIR)
