=== debian/changelog ===
coldformix (0.1.2-1) xenial; urgency=medium

  * added Exam template, pzl, tsl, tsh, ...

 -- jeff <bz@adler>  Wed, 25 Oct 2017 19:40:39 +0200

coldformix (0.1.1-2) trusty; urgency=medium

  * more RI-Symbols

 -- jeff <bz@adler>  Wed, 11 Oct 2017 08:25:09 +0200

coldformix (0.1.0-2) xenial; urgency=medium

  * Added Blatt mkk

 -- jeff <bz@adler>  Tue, 26 Sep 2017 21:37:45 +0200

coldformix (0.0.9-1) trusty-testing; urgency=medium

  * Added missig dependencies
  * Added h_M and x_M formulas

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Thu, 02 Jul 2015 17:52:05 +0200

coldformix (0.0.8-1) trusty-testing; urgency=medium

  * First package for trusty 
  * memory expansion mechanism updated

 -- jeff <bz@adler>  Tue, 30 Jun 2015 18:12:27 +0200

coldformix (0.0.6-1ubuntu2) precise; urgency=low

  * Update for librecad on unbuntu precise

 -- bz <bz@t61>  Thu, 29 Mar 2012 17:48:17 +0200

coldformix (0.0.5-1ubuntu1) lucid; urgency=low

  * A few rlt symbols added

 -- Ruediger Beck <bz@adler>  Sat, 07 May 2011 18:37:32 +0200

coldformix (0.0.4-1ubuntu1) lucid; urgency=low

  * New rlt symbols

 -- Ruediger Beck <bz@adler>  Mon, 25 Apr 2011 11:52:56 +0200

coldformix (0.0.3-1ubuntu1) lucid; urgency=low

  * build with rltsym

 -- Ruediger Beck <bz@adler>  Tue, 07 Dec 2010 11:00:07 +0100

coldformix (0.0.2-2ubuntu1) karmic; urgency=low

  * first build on ubuntu

 -- root <root@adler>  Wed, 25 Nov 2009 10:41:29 +0100

coldformix (0.0.2-2) unstable; urgency=low

  * qcad package is working

 -- jeffbeck <bz@adler.bszleo.home>  Mon,  5 Mar 2007 10:07:11 +0100

coldformix (0.0.2-1) unstable; urgency=low

  * database dump changed

 -- jeffbeck <bz@adler.bszleo.home>  Sat,  3 Mar 2007 12:45:13 +0100

coldformix (0.0.1-2) unstable; urgency=low

  * small Bugfixes

 -- jeffbeck <bz@adler.bszleo.home>  Fri,  2 Mar 2007 20:11:09 +0100

coldformix (0.0.1-1) unstable; urgency=low

  * first release

 -- jeffbeck <bz@localhost.localdomain>  Thu, 15 Feb 2007 02:45:15 +0100
