=== debian/control ===
Source: coldformix
Section: admin
Priority: optional
Maintainer: Rdiger Beck <jeffbeck@web.de>
Build-Depends: debhelper (>> 3.0.0), perl-base (>=5.8.4), fakeroot
Standards-Version: 3.5.2


Package: coldformix-mysql-build
Architecture: all
Depends:  mysql-server
Description: coldformix-database
 coldformix-mysql sets up the coldformix database, that must be
 accessed when building the coldformix formula collection from source


Package: coldformix-mysql-devel
Architecture: all
Depends:  coldformix-mysql-build, phpmyadmin
Description: coldformix-database developer tools
 coldformix-mysql sets up tools to edit, dump and update the
 coldformix database


Package: coldformix-source-build
Architecture: all
Depends: make, perl, libdbi-perl, libdbd-mysql-perl, texlive, texlive-science, gv, texlive-lang-german, texlive-latex-extra   
Description: tools to build the coldformix formula collection from git 
 coldformix-source-build depends on all packages that are needed to
 build the coldformix formula collection from a git repository


Package: coldformix-source-devel
Architecture: all
Depends: coldformix-source-build, xfig, transfig
Description: tools to edit the coldformix formula collection 
 coldformix-source-devel depends on all packages that are needed to
 edit the coldformix formula collection in a git repository
 

Package: coldformix-refsym-qcad
Architecture: all
Depends:  qcad
Description: Refrigeration symbols for qcad
 coldformix-refsym-qcad installs the refrigeration symbols that are
 used in the coldformix formula collection to be used in
 qcad. Where necessary, additional symbols are provided.

Package: coldformix-refsym-librecad
Architecture: all
Depends:  librecad
Description: Refrigeration symbols for librecad
 coldformix-refsym-librecad installs the refrigeration symbols that are
 used in the coldformix formula collection to be used in
 librecad. Where necessary, additional symbols are provided.


Package: coldformix-rltsym-qcad
Architecture: all
Depends:  qcad
Description: RLT symbols for qcad
 coldformix-refsym-qcad installs the RLT (HVAC) symbols that are
 used in the coldformix formula collection to be used in
 qcad. Where necessary, additional symbols are provided.

Package: coldformix-rltsym-librecad
Architecture: all
Depends:  librecad
Description: RLT symbols for librecad
 coldformix-refsym-librecad installs the RLT (HVAC) symbols that are
 used in the coldformix formula collection to be used in
 librecad. Where necessary, additional symbols are provided.


Package: coldformix-rc-qcad
Architecture: all
Depends:  qcad
Description: Real Refrigeration Component symbols for qcad
 coldformix-rc-qcad installs Real Refrigeration Component symbols

Package: coldformix-rc-librecad
Architecture: all
Depends:  librecad
Description: Real Refrigeration Component symbols for librecad
 coldformix-rc-librecad installs Real Refrigeration Component symbols


Package: coldformix-refsym-server
Architecture: all
Depends: 
Description: make colfdormix refrigeration symbols available by http
 coldformix-refsym-server sets up a webserver to make the refsyms
 downloadable. The html pages are made available from git.
